Skip to main content
POST
/
v2
/
queues
/
{queue_id}
/
cases
/
search
Search Cases
curl --request POST \
  --url https://api.duvo.ai/v2/queues/{queue_id}/cases/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": {},
  "limit": 25,
  "offset": 0,
  "sort_by": "created_at",
  "sort_order": "desc",
  "search": "<string>"
}
'
{
  "cases": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "data": "<string>",
      "claimed_at": "<string>",
      "claimed_by_run_id": "<string>",
      "completed_at": "<string>",
      "postponed_to": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_by_user_name": "<string>",
      "created_by_user_email": "<string>",
      "agent_run_status": "<string>",
      "agent_run_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pending_human_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pending_approval_batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pending_approval_assignee_user_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "approval_approved_count": 4503599627370495,
      "approval_rejected_count": 4503599627370495,
      "labels": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "key": "<string>",
          "value": "<string>",
          "color_hue": 180
        }
      ],
      "search_match_data_snippet": {
        "before": "<string>",
        "match": "<string>",
        "after": "<string>"
      }
    }
  ],
  "total": 123,
  "limit": 0,
  "offset": 0
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

queue_id
string<uuid>
required

The queue's unique identifier

Body

application/json
filters
object
limit
integer
default:25
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: 0 <= x <= 9007199254740991
sort_by
enum<string>
default:created_at
Available options:
created_at,
updated_at,
postponed_to
sort_order
enum<string>
default:desc
Available options:
asc,
desc

Response

Default Response

cases
object[]
required
total
number
required
limit
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
offset
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991